CREATE OR REPLACE FUNCTION FUNC_CRMINTERESSADOPREMAT(v_PESSOA_ID IN NUMBER)
/*
* FUNCTION : VERIFICA SE EXISTE DOCUMENTO PENDENTE PARA A PESSOA. UTILIZADA NA INTEGRAÇÃO DO CRM. SE SIM, RETORNA 1, SENAO RETORNA 0
* PARAMETER : @PESSOA_ID (ID DA PESSOA)
* DATE : 02/08/2018
* AUTOR : Diego Bucher
* VERSION : SINCE 1.0
* LAST MODIFY : 02/08/2018
*/

RETURN NUMBER
AS
v_EXISTE NUMBER(10,0);

BEGIN
	SELECT FUNC_POSSUI_DOCUMENTO_PENDENTE(v_PESSOA_ID) INTO v_EXISTE FROM DUAL;

	IF v_EXISTE IS NOT NULL AND v_EXISTE > 0 THEN
		v_EXISTE := 1;
	ELSE
		v_EXISTE := 0;
	END IF;

	RETURN v_EXISTE;
END;